package model.drawables;

import java.awt.Color;
import java.awt.Graphics;

/**
 * Repräsentiert ein Rectangle
 * 
 * @author Denis Meyer
 * @author Niels Meyering
 * 
 */
public class DashedRectangle extends Rectangle {

	/**
	 * Konstruktor
	 * 
	 * @param p1
	 *            Punkt 1
	 * @param p2
	 *            Punkt 2
	 */
	public DashedRectangle(Point p1, Point p2) {
		super(p1, p2);
	}

	/**
	 * Paint-Methode der Rectangleklasse. Zeichnet ein Rechteck
	 * 
	 * @param g
	 *            der Graphikkontext, in den das Objekt gezeichnet werden soll
	 */
	public void paint(Graphics g) {
		g.setXORMode(Color.RED);
		Point start = super.getStartPoint();
		Point end = super.getEndPoint();
		Point n1 = new Point(end.getXCoordinate(), start.getYCoordinate());
		Point n2 = new Point(start.getXCoordinate(), end.getYCoordinate());
		new DashedLine(start, n1).paint(g);
		new DashedLine(n1, end).paint(g);
		new DashedLine(end, n2).paint(g);
		new DashedLine(n2, start).paint(g);
	}
}
